%global srcname urwid

Summary:       Python library for making text console applications
Name:          python-urwid
Version:       2.4.2
Release:       1%{?dist}
License:       LGPLv2+
URL:           http://excess.org/urwid/
Source0:       %{pypi_source}

%description
Urwid is a console user interface library for Python on Linux, OSX, Cygwin \
or other unix-like OS.

%package -n python3-urwid
Summary: %summary
BuildRequires: gcc python3-devel python3-setuptools python3-test
# fix Directory not found: urwid-%%{version}*.egg-info
BuildRequires: python3-setuptools_scm

%description -n python3-urwid
Console user interface library for Python

%prep
%setup -q -n urwid-%{version}

%build
%py3_build

%check
%{__python3} setup.py test || :

%install
%py3_install

%files -n python3-urwid
%license COPYING
%doc README.rst examples docs
%{python3_sitearch}/urwid/
%{python3_sitearch}/urwid-%{version}*.egg-info/

%changelog
* Thu Jan 18 2024 Shuo Wang <abushwang@tencent.com> - 2.4.2-1
- update to 2.4.2

* Thu Dec 21 2023 Upgrade Robot <upbot@opencloudos.org> - 2.3.4-1
- Upgrade to version 2.3.4

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.2-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.2-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.2-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Nov 16 2022 Xun Zhong <victorzhong@tencent.com> - 2.1.2-1
- Initial build
